E-MailRelay

Classes | Functions
G::EightBitImp Namespace Reference

An implementation namespace for G::eightbit(). More...

## Classes
struct | extend
| Evaluates a type 'T' bitmask comprising N copies of byte 't'. More...
struct | extend< T, t, 1U >
| Terminal specialisation of extend<>. More...
struct | is8bit_fn
| Functor returning true if 't' AND-ed with an extend mask based on 0x80 is non-zero. More...

## Functions
template<typename T >
bool | is8bit_imp_int (const unsigned char *p, std::size_t n)
bool | is8bit_imp_uchar (const unsigned char *p0, std::size_t n)
bool | is8bit_slow (const unsigned char *p0, std::size_t n)
bool | is8bit_faster (const unsigned char *p0, std::size_t n)

## Detailed Description

An implementation namespace for G::eightbit().

## Function Documentation

## ◆ is8bit_faster()

bool G::EightBitImp::is8bit_faster | ( | const unsigned char * | p0,
|  | std::size_t | n
| ) |  |
| inline

Definition at line 79 of file geightbit.h.

## ◆ is8bit_imp_int()

template<typename T >

bool G::EightBitImp::is8bit_imp_int | ( | const unsigned char * | p,
|  | std::size_t | n
| ) |  |
| inline

Definition at line 54 of file geightbit.h.

## ◆ is8bit_imp_uchar()

bool G::EightBitImp::is8bit_imp_uchar | ( | const unsigned char * | p0,
|  | std::size_t | n
| ) |  |
| inline

Definition at line 68 of file geightbit.h.

## ◆ is8bit_slow()

bool G::EightBitImp::is8bit_slow | ( | const unsigned char * | p0,
|  | std::size_t | n
| ) |  |
| inline

Definition at line 74 of file geightbit.h.